/* * C o p y r i g h t *(also read COPYING)* * * * * * * * * * * * * * * * * * *
 *                                                                             *
 *  Copyright (C) 2002  <Philip Van Hoof>                                      *
 *                                                                             *
 *  This program is free software; you can redistribute it and/or modify       *
 *  it under the terms of the GNU General Public License as published by       *
 *  the Free Software Foundation; either version 2 of the License, or          *
 *  (at your option) any later version.                                        *
 *                                                                             *
 *  This program is distributed in the hope that it will be useful,            *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 *  GNU General Public License for more details.                               *
 *                                                                             *
 *  You should have received a copy of the GNU General Public License          *
 *  along with this program; if not, write to the Free Software                *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 *                                                                             *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifdef HAVE_CONFIG_H
#  include "../config.h"
#endif

#include <gnome.h>
#ifdef __cplusplus
extern "C" {
#endif

#define GNOME_TYPE_ABOUTWIN (aboutwin_get_type())
#define GNOME_ABOUTWIN(obj) (GTK_CHECK_CAST((obj), GNOME_TYPE_ABOUTWIN, AboutWin))
#define GNOME_ABOUTWIN_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass), GNOME_TYPE_ABOUTWIN, AboutWinClass))
#define GNOME_IS_ABOUTWIN(obj) (GTK_CHECK_TYPE((obj), GNOME_TYPE_ABOUTWIN))
#define GNOME_IS_ABOUTWIN_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GNOME_TYPE_ABOUTWIN))

typedef struct _AboutWin AboutWin;
typedef struct _AboutWinClass AboutWinClass;

struct _AboutWin {
  GtkWindow window;

  GtkWidget *windowparent;
};

struct _AboutWinClass {
	GtkWindowClass parent_class;
};

GtkType aboutwin_get_type(void);
GtkWidget* aboutwin_new (GtkWidget *windowparent);

/* Aboutwin Callbacks */

void aboutwin_show(GtkWidget *widget, AboutWin *awin);
void aboutwin_hide(GtkWidget *widget, AboutWin *awin);


#ifdef __cplusplus /* cpp compatibility */
}
#endif
