/* * C o p y r i g h t *(also read COPYING)* * * * * * * * * * * * * * * * * * *
 *                                                                             *
 *  Copyright (C) 2002  <Philip Van Hoof>                                      *
 *                                                                             *
 *  This program is free software; you can redistribute it and/or modify       *
 *  it under the terms of the GNU General Public License as published by       *
 *  the Free Software Foundation; either version 2 of the License, or          *
 *  (at your option) any later version.                                        *
 *                                                                             *
 *  This program is distributed in the hope that it will be useful,            *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 *  GNU General Public License for more details.                               *
 *                                                                             *
 *  You should have received a copy of the GNU General Public License          *
 *  along with this program; if not, write to the Free Software                *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 *                                                                             *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
#ifdef HAVE_CONFIG_H
#  include "../config.h"
#endif
#include <stdio.h>
#include <gnome.h>
#include <dirent.h>
#include <sys/stat.h>
#include <unistd.h>

#ifndef GNOME_DATAITEM_H__
#define GNOME_DATAITEM_H__

#ifdef __cplusplus
extern "C" {
#endif

#define GNOME_TYPE_DATAITEMWIN (dataitemwin_get_type())
#define GNOME_DATAITEMWIN(obj) (GTK_CHECK_CAST((obj), GNOME_TYPE_DATAITEMWIN, DataItemWin))
#define GNOME_DATAITEMWIN_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass), GNOME_TYPE_DATAITEMWIN, DataItemWinClass))
#define GNOME_IS_DATAITEMWIN(obj) (GTK_CHECK_TYPE((obj), GNOME_TYPE_DATAITEMWIN))
#define GNOME_IS_DATAITEMWIN_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GNOME_TYPE_DATAITEMWIN))

typedef struct _DataItemWin DataItemWin;
typedef struct _DataItemWinClass DataItemWinClass;

struct _DataItemWin {
  GtkWindow window;
  GtkWidget *label7;

  GtkWidget *windowparent;
};

struct _DataItemWinClass {
   GtkWindowClass parent_class;
};

GtkType dataitemwin_get_type(void);
GtkWidget* dataitemwin_new (GtkWidget *parent);



/* Dataitemwin Callbacks */

void dataitemwin_show(GtkWidget *widget, DataItemWin *dwin);
void dataitemwin_hide(GtkWidget *widget, DataItemWin *dwin);


#ifdef __cplusplus /* cpp compatibility */
}
#endif
#endif
